package rs.telenor.di.repository.impl;
import javax.inject.Named;
import javax.inject.Singleton;
import rs.telenor.di.domen.Book;
import rs.telenor.di.qualifier.Repository;
import rs.telenor.di.repository.IRepository;

@Singleton
//@Named(value = "txtRepository")
@Repository (RepoType = Repository.RepoType.TXT)
public class TxtRepository implements IRepository{

    public TxtRepository() {
        System.out.println("rs.telenor.di.repository.impl.TxtRepository.<init>()");
    }
    
     @Override
     public void save(Book book){
        System.out.println("The book ["+book+"] is saved in the TXT!");
    }
}
